Bug 206837 - Review Request: python-turbocheetah - TurboGears plugin to support use of Cheetah templates
Review Request: python-turbocheetah - TurboGears plugin to support use of Che...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-09-17 01:22 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-10 11:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-09-17 01:22:37 EDT
Spec URL: http://people.redhat.com/lmacken/SPECS/TurboCheetah.spec
SRPM URL: http://people.redhat.com/lmacken/RPMS/TurboCheetah-0.9.5-1.src.rpm
Description:
This package provides a template engine plugin, allowing you
to easily use Cheetah with TurboGears, Buffet and other tools that
support the python.templating.engines entry point.
Comment 1 Luke Macken 2006-09-30 02:47:56 EDT
http://people.redhat.com/lmacken/SPECS/python-turbocheetah.spec
http://people.redhat.com/lmacken/RPMS/python-turbocheetah-0.9.5-2.src.rpm

* Sat Sep 30 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-2
- Rename to python-turbocheetah
- Install egg-info
- Add README
Comment 2 Jason Tibbitts 2006-10-06 01:04:34 EDT
This failed to build for me in mock:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.30074
[...]
+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 1, in ?
    from setuptools import setup, find_packages
ImportError: No module named setuptools
error: Bad exit status from /var/tmp/rpm-tmp.30074 (%build)

Adding a BR: python-setuptools gets things building.

rpmlint only says:
   W: python-turbocheetah mixed-use-of-spaces-and-tabs (spaces: line 6, tab:
line 18)

Is it actually possible to run any of those tests, or do they just clutter
things up needlessly?
Comment 3 Luke Macken 2006-10-06 15:43:59 EDT
The script in the tests directory doesn't even have a main method, so they're
pretty much just adding clutter, so I removed them.

http://people.redhat.com/lmacken/RPMS/python-turbocheetah-0.9.5-3.src.rpm
http://people.redhat.com/lmacken/SPECS/python-turbocheetah.spec

* Fri Oct  6 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-3
- Add python-setuptools to BuildRequires
- Remove tests directory
Comment 4 Jason Tibbitts 2006-10-09 22:46:13 EDT
Oops, I guess I took too long to get back to this, because 0.9.5 is now
unavailable.  At least, when I try to fetch the source, I'm redirected to a page
that tells me that the preview is over.  But I don't actually see a place to
download TurboCheetah separately, except as eggs.
Comment 5 Luke Macken 2006-10-09 22:54:25 EDT
Ah, the Source0 in the spec is wrong (I'll fix it up for the next revision).  I
pulled down the tarballs for 0.9.5 from the Cheese Shop:
     
     http://cheeseshop.python.org/pypi/TurboCheetah
Comment 6 Jason Tibbitts 2006-10-09 23:34:38 EDT
Ah, OK.  I changed Source0 to
http://cheeseshop.python.org/packages/source/T/TurboCheetah/TurboCheetah-%{version}.tar.gz

The one remaining issue I see is that this package needs to own
/usr/lib/python2.4/site-packages/turbocheetah.

* source files match upstream:
   52e12130302a218a8e3b925447041be4  TurboCheetah-0.9.5.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   python-turbocheetah = 0.9.5-3.fc6
  =
   python(abi) = 2.4
   python-cheetah >= 1.0
* %check is not present; tests not runnable.
X needs to own /usr/lib/python2.4/site-packages/turbocheetah
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 7 Luke Macken 2006-10-10 00:15:51 EDT
http://people.redhat.com/lmacken/RPMS/python-turbocheetah-0.9.5-4.src.rpm
http://people.redhat.com/lmacken/SPECS/python-turbocheetah.spec

* Tue Oct 10 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-4
- Fix Source0
- Own %%{python_sitelib}/turbocheetah
Comment 8 Jason Tibbitts 2006-10-10 11:03:10 EDT
Looks good now.

APPROVED

I'll try to get to the other package ASAP.
Comment 9 Luke Macken 2006-10-10 11:21:55 EDT
Imported into CVS, added to owners.list, FC-5 branch requested, tagged and built
for devel.  Thanks!
Comment 10 Kevin Fenzi 2006-12-21 22:14:00 EST
Changing the summary for tracking purposes. 
Comment 11 Dan Callaghan 2014-07-14 21:19:47 EDT
Please un-retire the epel7 branch.

Package Change Request
======================
Package Name: python-turbocheetah
New Branches: epel7
Owners: dcallagh
Comment 12 Gwyn Ciesla 2014-07-15 08:28:58 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.